Linux kernel NFSv4 sérülékenysége

CH azonosító

CH-14119

Angol cím

Linux Kernel NFSv4 vulnerability

Felfedezés dátuma

2017.06.26.

Súlyosság

Közepes

Érintett rendszerek

Kernel
Linux

Érintett verziók

Azon rendszerek, melyek a CONFIG_NFSD_PNFS-t engedélyezve kerültek fordításra.

Összefoglaló

A Linux kernel NFSv4 Server funkciójának sérülékenysége vált ismertté, amelyet kihasználva a szolgáltatás összeomlása érhető el.

Leírás

A távoli támadó UDP protokollon keresztül egy speciálisan összeállított NFSv4 pNFS LAYOUTGET paranccsal bemenet-validációs hibát idézhet elő, mely a szolgáltatás összeomlásához vezet.

Megoldás

Javítsa a forráskódot a bemenet megfelelő ellenőrzése érdekében

Megoldás

Javítsa a forráskódot, majd fordítsa újra a kernelt.